Ticket #35676

Word の校閲機能を読み上げるとエラーが出る

Open Date: 2015-11-01 19:27 Last Update: 2016-02-13 12:09

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: 本家 MileStone: 2016.1 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

2015.4 changes の内容をチェックしていたら、 2015.4jp-beta-151030 で Word 2010 の校閲機能を読み上げるとエラーが出ることに気づいた。

Windows 7 (32bit) + Word 2010 で新しいドキュメントに「校閲」「コメントの挿入」でいくつか コメント付きの書き込みをする。 「変更履歴ウィンドウ」を表示して、Shift+F6 で変更履歴ペインに移動して、 上下矢印キーで項目を移動していくと、「ブランク」と読み上げるときに下記のエラーが出る。

本家のバグではなかろうか。

ERROR - eventHandler.executeEvent (19:07:49):
error executing event: caret on <NVDAObjects.Dynamic_SpellCheckErrorFieldIAccessibleWordDocument_WwNWindowNVDAObject object at 0x05020930> with extra args of {}
Traceback (most recent call last):
  File "eventHandler.pyo", line 143, in executeEvent
  File "eventHandler.pyo", line 91, in __init__
  File "eventHandler.pyo", line 98, in next
  File "NVDAObjects\IAccessible\__init__.pyo", line 1289, in event_caret
  File "NVDAObjects\window\winword.pyo", line 907, in event_caret
  File "NVDAObjects\__init__.pyo", line 933, in makeTextInfo
  File "NVDAObjects\window\winword.pyo", line 457, in __init__
  File "comtypesMonkeyPatches.pyo", line 35, in new__getattr__
  File "comtypes\client\lazybind.pyo", line 149, in __getattr__
  File "comtypes\automation.pyo", line 664, in _invoke
COMError: (-2146822463, None, (u'\u30aa\u30d6\u30b8\u30a7\u30af\u30c8\u306f\u524a\u9664\u3055\u308c\u3066\u3044\u307e\u3059\u3002', u'Microsoft Word', u'wdmain11.chm', 25305, None))
ERROR - XMLFormatting.XMLTextParser.parse (19:20:24):
XML: <control wdStoryType="0"><text _startOffset="44" _endOffset="45" page-number="1" line-prefix="<#>" wdRevisionType="0" wdLanguageId="1033" >
</text></control>
Traceback (most recent call last):
  File "XMLFormatting.pyo", line 60, in parse
ExpatError: not well-formed (invalid token): line 1, column 94
ERROR - XMLFormatting.XMLTextParser.parse (19:20:28):
XML: <control wdStoryType="0"><text _startOffset="82" _endOffset="83" page-number="1" line-prefix="<#>" wdRevisionType="0" wdLanguageId="1033" >
</text></control>
Traceback (most recent call last):
  File "XMLFormatting.pyo", line 60, in parse
ExpatError: not well-formed (invalid token): line 1, column 94

Attachment File List

No attachments

Ticket History (3/6 Histories)

2015-11-01 19:27 Updated by: nishimoto
  • New Ticket "Word の校閲機能を読み上げるとエラーが出る" created
2015-11-01 19:28 Updated by: nishimoto
  • Details Updated
2015-11-01 22:38 Updated by: nishimoto
  • Component Update from (None) to 本家
Comment

英語環境と本家版で確認したのでチケットを書きました:

http://community.nvda-project.org/ticket/5451

2015-11-09 11:57 Updated by: nishimoto
Comment

本家は 2016.1 で直す、line-prefix="<#>" がなぜ出てくるのか分からない、という話。

日本語環境でしか line-prefix="<#>" が出てこないのだろうか。。

2015-12-08 18:27 Updated by: nishimoto
  • Milestone Update from (None) to 2016.1 (closed)
  • Resolution Update from None to Fixed
Comment

本家の修正が master に入りました:

https://github.com/nvaccess/nvda/issues/5451

2016-02-13 12:09 Updated by: nishimoto
  • Ticket Close date is changed to 2016-02-13 12:09
  • Status Update from Open to Closed
Comment

直っているのでクローズします。

Edit

Please login to add comment to this ticket » Login